Bug 110530 - misprints in /etc/rc.d/rc.sysinit
Summary: misprints in /etc/rc.d/rc.sysinit
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-20 20:12 UTC by Daniel Hammer
Modified: 2014-03-17 02:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 02:03:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Hammer 2003-11-20 20:12:53 UTC
Description of problem:
there are some misprints in /etc/rc.d/rc.sysinit;
don't get me wrong, this is just for the beauty of the script:

# Print a text banner.
echo -en $"\t\tWelcome to "
if LC_ALL=C fgrep -q "Red Hat" /etc/redhat-release ; then
 [ "$BOOTUP" = "color" ] && echo -en "\\033[0;31m"
 echo -en "Red Hat"
 [ "$BOOTUP" = "color" ] && echo -en "\\033[0;39m"
 PRODUCT=`sed "s/Red Hat \(.*\) release.*/\1/" /etc/redhat-release`
 echo " $PRODUCT"
else
 PRODUCT=`sed "s/ release.*//g" /etc/redhat-release`
 echo "$PRODUCT"
fi
if [ "$PROMPT" != "no" ]; then
 echo -en $"\t\tPress 'I' to enter interactive startup."
 echo
fi

shold be:

# Print a text banner.
echo -en $"\t\tWelcome to "
if LC_ALL=C fgrep -q "Fedora" /etc/fedora-release ; then
 [ "$BOOTUP" = "color" ] && echo -en "\\033[0;31m"
 echo -en "Fedora"
 [ "$BOOTUP" = "color" ] && echo -en "\\033[0;39m"
 PRODUCT=`sed "s/Fedora \(.*\) release.*/\1/" /etc/fedora-release`
 echo " $PRODUCT"
else
 PRODUCT=`sed "s/ release.*//g" /etc/fedora-release`
 echo "$PRODUCT"
fi
if [ "$PROMPT" != "no" ]; then
 echo -en $"\t\tPress 'I' to enter interactive startup."
 echo
fi


Version-Release number of selected component (if applicable):
initscripts-7.42-1

How reproducible:
Always

Actual Results:  no red colour of "Fedora Core"

Expected Results:  red colour of "Fedora Core"
;-)

Comment 1 Leonard den Ottolander 2004-08-12 17:43:56 UTC
Still existent in FC3t1 (initscripts-7.60-1). EASYFIX.


Comment 2 Nicholas Miell 2005-01-14 01:27:04 UTC
appears to have been fixed some time between 7.60 and 7.93.5
(although, I'd argue that Fedora should be colored blue instead of red)

Comment 3 Daniel Hammer 2005-01-14 09:15:10 UTC
Yes, lets kill that beast! ;-)


Note You need to log in before you can comment on or make changes to this bug.